package parsers

import "git.milar.in/animan/model"

/*
how to get all torrent names on a nyaa page:

let s = "";
document.querySelectorAll("tr > td:nth-child(2) > a:not(.comments)").forEach((element, index) => {
  s += element.textContent + "\n";
})
console.log(s);

*/

var Parsers = []model.Parser{
	{
		Identity: "Erai-Raws",
		TorrentParser: torrentNameEpLangsRegex(
			`^\[Erai-raws\] (.*) - (.*?) \[1080p\](?:\[HEVC\])?(?:\[Multiple Subtitle\])? (\[.*?\]+)?$`,
			SquareBracketsLanguageParser,
		),
		FileParser: nil,
	},
}
